メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
リポジトリのインデックス作成ステータスを取得する
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing \
  --header 'Authorization: Bearer <token>'
{
  "indexing_enabled": true,
  "latest_completed_search_index_job": {
    "branch_name": "<string>",
    "commit": "<string>",
    "created_at": 123,
    "job_id": "<string>",
    "status": "failed"
  },
  "latest_completed_wiki_index_job": {
    "branch_name": "<string>",
    "commit": "<string>",
    "created_at": 123,
    "job_id": "<string>",
    "status": "failed"
  },
  "latest_indexes": [
    {
      "branch_name": "<string>",
      "commit": "<string>",
      "created_at": 123,
      "job_id": "<string>",
      "status": "failed"
    }
  ]
}

権限

組織レベルで Read 権限が付与されたサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

repository_path
string
必須

レスポンス

成功レスポンス

indexing_enabled
boolean
必須
latest_completed_search_index_job
RepoIndexJobResponse · object
必須
latest_completed_wiki_index_job
RepoIndexJobResponse · object
必須
latest_indexes
RepoIndexJobResponse · object[]
必須